Subject: Re: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Alan Mackenzie <[email-masked]>
Date: Fri, 27 May 2022 13:59:04 +0000

Hello, Mattias.

On Thu, May 26, 2022 at 17:30:39 +0200, Mattias Engdegård wrote:
> > I'm not really that concerned in general, but in this case, the
> > entire problem is apparently due to one function --
> > byte-compile--first-symbol-with-pos -- that's very recursive. It
> > could be rewritten to not be recursive, and these problems would go
> > away (which we've seen in many contexts now), if I understand
> > correctly.

> The cdr-traversal of lists has now been eliminated on master
> (e05acb07d3).

Thanks!  But you've reduced the functionality - you're removed the code
which handled records.  Why?  Any chance you could restore this, at
least until the issues around it have been resolved.

Thanks!

-- 
Alan Mackenzie (Nuremberg, Germany).